@inproceedings{sies13,
    title = { Engineering Functional Requirements of Reactive Systems using Synchronous Languages },
    author = {Jahier, Erwan and Halbwachs, Nicolas and Raymond, Pascal},
    year = {2013},
    booktitle = {International Symposium on Industrial Embedded Systems, 2013. SIES'13.},
    address = {Porto, Portugal},
    team = {SYNC},
    url = {http://www-verimag.imag.fr/details.html?pub_id=sies2013}
} 
@inproceedings{HLR93,
    title = { Synchronous observers and the verification of reactive systems},
    author = {N. Halbwachs and F. Lagnier and P. Raymond},
    year = {1993},
    booktitle = {Third Int. Conf. on Algebraic Methodology and Software Technology, AMAST'93},
    address = {Twente, The Nederlands},
    publisher = {Workshops in Computing, Springer Verlag},
    team = {SYNC},
} 

@inproceedings{RWN+98,
    title = {Automatic Testing of Reactive Systems },
    author = {P. Raymond and D. Weber and X. Nicollin and  N. Halbwachs},
    month = {dec},
    year = {1998},
    booktitle = {19th IEEE Real-Time Systems Symposium},
    address = {Madrid, Spain},
    team = {SYNC},
} 
@article{JRB06,
    title = {Case Studies with {Lurette V2}},
    author = {E. Jahier and P. Raymond and Ph. Baufreton},
    month = {nov},
    year = {2006},
    journal = {Software Tools for Technology Transfer},
    number = {6},
    pages = {517--530},
    volume = {8},
    team = {SYNC},
} 
@inproceedings{RJR06,
    title = {Describing and executing random reactive systems },
    author = {Raymond, Pascal and Jahier, Erwan and Roux, Yvan},
    year = {2006},
    booktitle = {SEFM 2006, 4th IEEE International Conference on Software Engineering and Formal Methods},
    address = {Pune, India},
    team = {SYNC},
} 
@book{nh-book,
   title = {Synchronous programming of reactive systems},
   author = {N. Halbwachs},
   publisher = {Kluwer Academic Pub.},
   team = {SYNC},
   year = {1993}
}
@article{RRJ08,
    title = { Lutin: a language for specifying and executing reactive scenarios },
    author = {Raymond, Pascal and Roux, Yvan and Jahier, Erwan},
    year = {2008},
    journal = {EURASIP Journal on Embedded Systems},
    team = {SYNC},
} 

@inproceedings{lustre-oracle08,
  title = {{LETO} - A {L}ustre-Based Test Oracle for {A}irbus Critical Systems},
  author = {G. Durrieu and H. Waeselynck and V. Wiels},
  year = {2008},
  doi = {http://dx.doi.org/10.1007/978-3-642-03240-0_5},
  researchr = {http://researchr.org/publication/DurrieuWW08},
  cites = {0},
  citedby = {0},
  pages = {7-22},
  booktitle = {FMICS 2008, L'Aquila, Italy, September 15-16, 2008, Revised
Selected Papers},
  editor = {Darren D. Cofer and Alessandro Fantechi},
  volume = {5596},
  series = {LNCS},
  publisher = {Springer},
  isbn = {978-3-642-03239-4},
}

@ARTICLE{lustre,
AUTHOR={N. Halbwachs and P. Caspi and P. Raymond and D. Pilaud},
TITLE={The synchronous dataflow programming language {L}ustre},
JOURNAL={Proceedings of the IEEE},
VOLUME={79},
NUMBER={9},
PAGES={1305-1320},
MONTH=sep ,
YEAR={1991}
}

@ARTICLE{ps:ieee,
KEY={SP-IEEE},
AUTHOR={F. Boussinot and R/ De Simone},
TITLE={Another look at real-time programming},
JOURNAL={Special Section of the Proceedings of the IEEE},
VOLUME={79},
NUMBER={9},
MONTH=sep ,
YEAR={1991}
}

@article{lakehalP09,
  title = {Structural coverage criteria for {L}USTRE/{S}CADE programs},
  author = {A. Lakehal and I. Parissis},
  year = {2009},
  doi = {http://dx.doi.org/10.1002/stvr.394},
  tags = {coverage},
  researchr = {http://researchr.org/publication/LakehalP09},
  cites = {0},
  citedby = {0},
  journal = {Softw. Test., Verif. Reliab.},
  volume = {19},
  number = {2},
  pages = {133-154},
}
@INPROCEEDINGS{model-cov-control-block,
author={Cu, C. and Jeppu, Y. and Hariram, S. and Murthy, N.N. and Apte, P.R.},
booktitle={Aerospace Conference, 2011 IEEE},
title={A new input-output based model coverage paradigm for control blocks},
year={2011},
pages={1-12},
keywords={Taguchi methods;aerospace control;aerospace safety;design of experiments;program testing;safety-critical software;Matlab code;Simulink blocks;Taguchi design of experiment method;control block;coverage metrics;flight control system;input output based model coverage paradigm;model based testing;safety critical control system;Certification;Control systems;Mathematical model;Measurement;Safety;Software;Unified modeling language},
doi={10.1109/AERO.2011.5747530},
ISSN={1095-323X},}

@inproceedings{matelo03,
  author    = {W. Dulz and F. Zhen},
  title     = {MaTeLo - Statistical Usage Testing by Annotated Sequence
               Diagrams, {M}arkov Chains and {TTCN-3}},
  booktitle = {QSIC},
  year      = {2003},
  pages     = {336-342},
  ee        = {http://doi.ieeecomputersociety.org/10.1109/QSIC.2003.1319119},
  crossref  = {DBLP:conf/qsic/2003},
  bibsource = {DBLP, http://dblp.uni-trier.de}
}
@INPROCEEDINGS{carter2008,
   Author = {J. Carter and L. Lin and J. Poore},
   Title = {Automated Functional Testing of {S}imulink Control Models},
   Booktitle = {Proceedings of 1st Workshop on Model-based Testing in Practice
(MoTiP 2008)},
   Editor = {T Bauer and H Eichler and A Rennoch},
   Year = {2008},
   Organization = {Fraunhofer IRB Verlag}
}
@ARTICLE{prowell2000tml,
   Author = {S. Prowell},
   Title = {{TML}: A description language for {Markov} chain usage models},
   Journal = {Information and Software Technology},
   Volume = {42},
   Number = {12},
   Month = {September},
   Year = {2000},
   Pages = {835--844}
}
@INPROCEEDINGS{mbt-bohr,
author={F. B\"ohr},
booktitle={IEEE Fourth International Conference on Software Testing,
Verification and Validation Workshops (ICSTW)},
title={Model Based Statistical Testing of Embedded Systems},
year={2011},
pages={18 -25},
doi={10.1109/ICSTW.2011.11}
}
@article{gatel05,
  author    = {B. Marre and B. Blanc},
  title     = {Test Selection Strategies for Lustre Descriptions in {GATeL}},
  journal   = {Electr. Notes Theor. Comput. Sci.},
  volume    = {111},
  year      = {2005},
  pages     = {93-111},
  ee        = {http://dx.doi.org/10.1016/j.entcs.2004.12.010},
  bibsource = {DBLP, http://dblp.uni-trier.de}
}
@inproceedings{aadebug2003,
   title = {Automatic State Reaching for Debugging Reactive Programs},
   author = {E. Jahier and B. Jeannet and F. Gaucher and F. Maraninchi},
   booktitle = {AADEBUG'2003 -- Fifth International Workshop on Automated
Debugging},
   address = {Ghent},
   team = {SYNC},
   year = {2003}
}
@proceedings{DBLP:conf/qsic/2003,
  title     = {3rd  International Conference on Quality Software (QSIC
               2003), 6-7 November 2003, Dallas, TX, USA},
  booktitle = {QSIC},
  publisher = {IEEE Computer Society},
  year      = {2003},
  isbn      = {0-7695-2015-4},
  bibsource = {DBLP, http://dblp.uni-trier.de}
}

@article{lutin,
   title = {Lutin: a language for specifying and executing reactive scenarios},
   author = {Raymond, Pascal and Roux, Yvan and Jahier, Erwan},
   journal = {EURASIP Journal on Embedded Systems},
   url = {http://jes.eurasipjournals.com/content/2008/1/753821},
   team = {SYNC},
   year = {2008}
}

@article{lurette,
   title = {Case Studies with Lurette V2},
   author = {Jahier, Erwan and Raymond, Pascal and Baufreton, Philippe},
   journal = {Software Tools for Technology Transfer},
   month = nov,
   number = {6},
   pages = {517--530},
   url = {http://www.springerlink.com/content/u02131123x856227/fulltext.pdf},
   volume = {8},
   team = {SYNC},
   year = {2006}
}

@inproceedings{jahier-cstva06,
   title = {Generating Random Values Using Binary Decision Diagrams and Convex Polyhedra},
   author = {Jahier, Erwan and Raymond, Pascal},
   booktitle = {Workshop on Constraints in Software Testing, Verification and Analysis (CSTVA'06)},
   address = {{N}antes, {F}rance},
   url = {http://www.irisa.fr/manifestations/2006/CSTVA06/},
   pdf = {http://www-verimag.imag.fr/~jahier/cstva06-jahier-raymond.pdf}, 
  team = {SYNC},
   year = {2006}
}


@INPROCEEDINGS{mbt-bohr,
author={B\"ohr, Frank},
booktitle={IEEE Fourth International Conference on Software Testing, Verification and Validation Workshops (ICSTW)}, 
title={Model Based Statistical Testing of Embedded Systems},
year={2011},
pages={18 -25},
abstract={Model Based Statistical Testing is a highly automated test
                  approach. It allows the fully automated test case
                  generation, execution, evaluation and estimation of
                  the test objects reliability. This can be done
                  after building a test model which is called a usage
                  model. These models do neither support a notion of
                  time, nor do they allow to model concurrency, which
                  both are of great concern in testing embedded
                  systems. This paper proposes an extension to Model
                  Based Statistical Testing which deals with the
                  mentioned problems and maintains all mentioned
                  advantages of Model Based Statistical Testing. This
                  is done by using an advanced kind of Petri nets as
                  test model. A usage model can be generated out of
                  these Petri nets. The direct creation of a usage
                  model without the use of the proposed Petri nets is
                  not possible in practice if it is necessary to deal
                  with time and concurrency. This is the case because
                  usage models tend to get very large in this very
                  common situation. The paper does also show that it
                  is possible to generate executable test cases
                  (including oracle information) from the Petri
                  nets. Tool support for the presented approach is
                  available.},
keywords={Petri nets;automated test case generation;embedded systems;model based statistical testing;model concurrency;usage model;Petri nets;embedded systems;statistical testing;},
doi={10.1109/ICSTW.2011.11}
}



@book{nh-book,
   title = {Synchronous programming of reactive systems},
   author = {Halbwachs, Nicolas},
   publisher = {Kluwer Academic Pub.},
   team = {SYNC},
   year = {1993}
}

@inbook{mosterman,
   title = {A Taxonomy of Model-based Testing for Embedded Systems from Multiple Industry Domains},
   booktitle = {Model-Based Testing for Embedded Systems},
   author = {Justyna Zander and Ina Schieferdecker and Pieter J. Mosterman},
   publisher = {CRC Press},
      year = {2011},
   chapter = {1},
   pages = {3-22}
}
@book{mosterman-book,
   title = {Model-Based Testing for Embedded Systems},
   publisher = {CRC Press},
   editor = {Justyna Zander and Ina Schieferdecker and Pieter J. Mosterman},
   year = {2011}
}

@book{broy05,
 author = {Broy, Manfred and Jonsson, Bengt and Katoen, Joost-Pieter and Leucker, Martin and Pretschner, Alexander},
 title = {Model-Based Testing of Reactive Systems: Advanced Lectures (LNCS)},
 year = {2005},
 isbn = {3540262784},
 publisher = {Springer-Verlag New York, Inc.},
 optaddress = {Secaucus, NJ, USA},
} 

@ARTICLE{prowell2000tml,
   Author = {S Prowell},
   Title = {{TML}: A description language for {Markov} chain usage models},
   Journal = {Information and Software Technology},
   Volume = {42},
   Number = {12},
   Year = {2000},
   Pages = {835--844}
}


@INPROCEEDINGS{carter2008,
   Author = {Jason Carter and Lan Lin and Jesse Poore},
   Title = {Automated Functional Testing of Simulink Control Models},
   Booktitle = {Proceedings of 1st Workshop on Model-based Testing in Practice (MoTiP 2008)},
   Editor = {T Bauer and H Eichler and A Rennoch},
   Year = {2008},
   Organization = {Fraunhofer IRB Verlag}
}

@inproceedings{matelo03,
  author    = {Winfried Dulz and Fenhua Zhen},
  title     = {MaTeLo - Statistical Usage Testing by Annotated Sequence
               Diagrams, Markov Chains and TTCN-3},
  booktitle = {QSIC},
  year      = {2003},
  pages     = {336-342},
  ee        = {http://doi.ieeecomputersociety.org/10.1109/QSIC.2003.1319119},
  crossref  = {DBLP:conf/qsic/2003},
  bibsource = {DBLP, http://dblp.uni-trier.de}
}

@proceedings{DBLP:conf/qsic/2003,
  title     = {3rd  International Conference on Quality Software (QSIC
               2003), 6-7 November 2003, Dallas, TX, USA},
  booktitle = {QSIC},
  publisher = {IEEE Computer Society},
  year      = {2003},
  isbn      = {0-7695-2015-4},
  bibsource = {DBLP, http://dblp.uni-trier.de}
}

@article{gatel05,
  author    = {Bruno Marre and
               Benjamin Blanc},
  title     = {Test Selection Strategies for Lustre Descriptions in GATeL},
  journal   = {Electr. Notes Theor. Comput. Sci.},
  volume    = {111},
  year      = {2005},
  pages     = {93-111},
  ee        = {http://dx.doi.org/10.1016/j.entcs.2004.12.010},
  bibsource = {DBLP, http://dblp.uni-trier.de}
}

@article{cakehalP09,
  title = {Structural coverage criteria for LUSTRE/SCADE programs},
  author = {Abdesselam Lakehal and Ioannis Parissis},
  year = {2009},
  doi = {http://dx.doi.org/10.1002/stvr.394},
  tags = {coverage},
  researchr = {http://researchr.org/publication/LakehalP09},
  cites = {0},
  citedby = {0},
  journal = {Softw. Test., Verif. Reliab.},
  volume = {19},
  number = {2},
  pages = {133-154},
}

@inproceedings{aadebug2003,
   title = {Automatic State Reaching for Debugging Reactive Programs},
   author = {Jahier, Erwan and Jeannet, Bertrand and Gaucher, Fabien and Maraninchi, Florence},
   booktitle = {AADEBUG'2003 -- Fifth International Workshop on Automated Debugging},
   address = {Ghent},
   team = {SYNC},
   year = {2003}
}
@inproceedings{lustre-oracle08,
  title = {LETO - A Lustre-Based Test Oracle for Airbus Critical Systems},
  author = {Guy Durrieu and Hélène Waeselynck and Virginie Wiels},
  year = {2008},
  doi = {http://dx.doi.org/10.1007/978-3-642-03240-0_5},
  researchr = {http://researchr.org/publication/DurrieuWW08},
  cites = {0},
  citedby = {0},
  pages = {7-22},
  booktitle = {FMICS 2008, L Aquila, Italy, September 15-16, 2008, Revised Selected Papers},
  editor = {Darren D. Cofer and Alessandro Fantechi},
  volume = {5596},
  series = {LNCS},
  publisher = {Springer},
  isbn = {978-3-642-03239-4},
}


@book{scada2003,
  title={Practical SCADA for industry},
  author={Bailey, David and Wright, Edwin},
  year={2003},
  publisher={Access Online via Elsevier}
}


@INPROCEEDINGS{scada-cs-2012,
author={Jolly, S.A. and Garousi, V. and Eskandar, M.M.},
booktitle={Software Testing, Verification and Validation (ICST), 2012 IEEE Fifth International Conference on},
title={Automated Unit Testing of a SCADA Control Software: An Industrial Case Study Based on Action Research},
year={2012},
pages={400-409},
abstract={We report in this case-study paper our experience and
success story with a practical approach and tool for unit regression
testing of a SCADA (Supervisory Control and Data Acquisition)
software. The tool uses a black-box specification of the units under
test to automatically generate NUnit test code. We then improved the
test suite by white-box and mutation testing. The approach and tool
were developed in an action-research project to test a commercial
large-scale SCADA system called Rocket.}, keywords={SCADA
systems;automatic test software;formal specification;program
compilers;program testing;regression analysis;Rocket;SCADA control
software;action research;automated unit testing;black-box
specification;code generation;industrial case study;mutation
testing;software testing;supervisory control and data
acquisition;unit regression testing;white-box
testing;Automation;Context;Engines;Manuals;Software;Software
testing;SCADA software;action research;automated unit
testing;industrical case study}, doi={10.1109/ICST.2012.120},}

 BibTeX | BibTeX (beta) | EndNote | ACM Ref



@inproceedings{redirect-emsoft08,
 author = {Satpathy, M. and Yeolekar, A. and Ramesh, S.},
 title = {Randomized directed testing (REDIRECT) for Simulink/Stateflow models},
 booktitle = {Proceedings of the 8th ACM international conference on Embedded software},
 series = {EMSOFT '08},
 year = {2008},
 isbn = {978-1-60558-468-3},
 location = {Atlanta, GA, USA},
 pages = {217--226},
 numpages = {10},
 url = {http://doi.acm.org/10.1145/1450058.1450088},
 doi = {10.1145/1450058.1450088},
 acmid = {1450088},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {coverage, hybrid systems, model based testing, {Simulink/Stateflow} models},
} 
@article{ZhanC08,
title = "A search-based framework for automatic testing of {MATLAB/Simulink} models ",
journal = "Journal of Systems and Software ",
volume = "81",
number = "2",
pages = "262 - 285",
year = "2008",
optnote = "Model-Based Software Testing ",
issn = "0164-1212",
doi = "http://dx.doi.org/10.1016/j.jss.2007.05.039",
url = "http://www.sciencedirect.com/science/article/pii/S016412120700129X",
author = "Yuan Zhan and John A. Clark",
keywords = "<span style='font-style: italic'>MATLAB/Simulink</span>",
keywords = "Test-data generation",
keywords = "Automation",
keywords = "Structural coverage",
keywords = "Mutation testing",
keywords = "State problem",
keywords = "Tracing and deducing",
keywords = "Test-set reduction "
}


@INPROCEEDINGS{hamon-salatg,
author={Hamon, G. and de Moura, L. and Rushby, J.},
booktitle={Software Engineering and Formal Methods, 2004. SEFM 2004. Proceedings of the Second International Conference on},
title={Generating efficient test sets with a model checker},
year={2004},
pages={261-270},
keywords={program testing;program verification;4-speed automatic transmission;SAL system;Stateflow model;automated test case generation;model checker;model-based designs;shift scheduler;test set generation;Automatic testing;Character generation;Computer science;Costs;Hardware;Laboratories;Prototypes;Software testing;System testing;Time measurement},
doi={10.1109/SEFM.2004.1347530},}


@INPROCEEDINGS{Kraemer2008,
author={Bringmann, E. and Kramer, A.},
booktitle={Software Testing, Verification, and Validation, 2008 1st International Conference on},
title={Model-Based Testing of Automotive Systems},
year={2008},
pages={485-493},
keywords={automobile industry;program testing;quality assurance;software quality;Matlab/Simulink;automotive industry;automotive model-based development process;car manufacturer;car supplier;graphical test model;model-based software testing;production-vehicle development project;quality assurance;Assembly;Automatic testing;Automotive engineering;Embedded software;MATLAB;Mathematical model;Mechanical engineering;Quality assurance;Software tools;System testing;Model-based testing;automotive systems;closed loop testing;continuous behavior testing;test automation},
doi={10.1109/ICST.2008.45},}


@INPROCEEDINGS{ELehmannTest2000,
author={Lehmann, E.},
booktitle={Proceedings of TEST2000},
address={London, Great Britain},
title={Time Partition Testing: A Method for Testing Dynamic Functional Behaviour},
year={2000},
}





@article{evolutionary-func-bbt,
 author = {Vos, Tanja E. and Lindlar, Felix F. and Wilmes, Benjamin and Windisch, Andreas and Baars, Arthur I. and Kruse, Peter M. and Gross, Hamilton and Wegener, Joachim},
 title = {Evolutionary functional black-box testing in an industrial setting},
 journal = {Software Quality Control},
 issue_date = {June      2013},
 volume = {21},
 number = {2},
 year = {2013},
 issn = {0963-9314},
 pages = {259--288},
 numpages = {30},
 url = {http://dx.doi.org/10.1007/s11219-012-9174-y},
 doi = {10.1007/s11219-012-9174-y},
 acmid = {2458020},
 publisher = {Kluwer Academic Publishers},
 address = {Hingham, MA, USA},
 keywords = {Case study, Empirical assessment, Evolutionary computation, Functional testing, Industrial practice, Test data generation},
} 


@article{lurette-sttt,
    title = { Case Studies with Lurette V2 },
    author = {Jahier, Erwan and Raymond, Pascal and Baufreton, Philippe},
    month = {nov},
    year = {2006},
    journal = {Software Tools for Technology Transfer},
    number = {6},
    pages = {517--530},
    volume = {8},
    team = {SYNC},
} 
@incollection{sequence_test,
year={2003},
isbn={978-3-540-40603-7},
booktitle={Genetic and Evolutionary Computation},
volume={2724},
series={LNCS},
hide_editor={Cantú-Paz, Erick and Foster, JamesA. and Deb, Kalyanmoy and Davis, LawrenceDavid and Roy, Rajkumar and O’Reilly, Una-May and Beyer, Hans-Georg and Standish, Russell and Kendall, Graham and Wilson, Stewart and Harman, Mark and Wegener, Joachim and Dasgupta, Dipankar and Potter, MitchA. and Schultz, AlanC. and Dowsland, KathrynA. and Jonoska, Natasha and Miller, Julian},
doi={10.1007/3-540-45110-2_147},
title={Structural and Functional Sequence Test of Dynamic and State-Based Software with Evolutionary Algorithms},
url={http://dx.doi.org/10.1007/3-540-45110-2_147},
publisher={Springer Berlin Heidelberg},
author={Baresel, André and Pohlheim, Hartmut and Sadeghipour, Sadegh},
pages={2428-2441},
language={English}
}
@INPROCEEDINGS{mars_polar_lander_2001,
author={Blackburn, M. and Busser, R. and Nauman, A. and Knickerbocker, R. and Kasuda, R.},
booktitle={Engineering of Complex Computer Systems, 2002. Proceedings. Eighth IEEE International Conference on},
title={Mars Polar Lander fault identification using model-based testing},
year={2002},
pages={163-169},
keywords={aerospace computing;aerospace engines;program testing;software fault tolerance;space vehicles;MPL spacecraft;Mars Polar Lander fault identification;Test Automation Framework;Touchdown Monitor software;descent engine premature shutdown;mission failure;model-based testing;program variable;Application software;Automatic testing;Automation;Engines;Fault diagnosis;Leg;Mars;Software testing;Space vehicles;Time division multiplexing},
doi={10.1109/ICECCS.2002.1181509},}


@misc{piketec-url,
 author= {Piketec},
 title = {TPT},
 howpublished={\url{http://www.piketec.com}}
}

@misc{tvec-url,
 title={T-VEC Tester},
 author={T-VEC},
 howpublished={\url{http://www.t-vec.com}},
}

@misc{argosim-url,
 Title={Stimulus},
 Author={Argosim},
 howpublished={\url{http://www.argosim.com}},
 note="(may not be online at submission time)"
}

@book{utting2010practical,
  title={Practical model-based testing: a tools approach},
  author={Utting, Mark and Legeard, Bruno},
  year={2010},
  publisher={Morgan Kaufmann}
}

@misc{reactis-white-paper,
  author={Reactive{\ }Systems},
  title="Testing and Validation of Simulink Models with Reactis",
  note="white paper",
  opthowpublished={\url{http://www.reactive-systems.com/papers/bcsf.pdf}},
}
@misc{tni-stb,
  title="{Safety} {Test} {Builder}",
  author="TNI{\ }Software",
  opthowpublished={\url{http://www.geensoft.com/fr/article/safetytestbuilder/}},
}


@misc{design-verifier,
  title={Design Verifier},
  howpublished={\url{http://www.mathworks.com/products}},
  author={The{\ }Mathworks},
}
@misc{mathworks-url,
 title={Simulink/Stateflow},
 howpublished={\url{http://www.mathworks.com}},
 author={The{\ }Mathworks},
}


@misc{lutin-man,
 title={Lutin {Reference} {Manual}},
 howpublished={\url{http://www-verimag.imag.fr/DIST-TOOLS/SYNCHRONE/lurette/doc/lutin-man.pdf}},
 author={Erwan Jahier and Pascal Raymond},
}
@INPROCEEDINGS{islip93,
      AUTHOR={N. Halbwachs and J.-C. Fernandez and A. Bouajjanni},
      TITLE={An executable temporal logic to express safety properties 
            and its connection with the language Lustre},
      BOOKTITLE={ISLIP'93, Quebec},
      optBOOKTITLE={Sixth International Symp. on Lucid and Intensional Programming, ISLIP'93, Quebec},
      YEAR= 1993
   }





@article{mccminnsurvey,
 author = {McMinn, Phil},
 title = {Search-based software test data generation: a survey: Research Articles},
 journal = {Softw. Test. Verif. Reliab.},
 issue_date = {June 2004},
 volume = {14},
 number = {2},
 month = jun,
 year = {2004},
 issn = {0960-0833},
 pages = {105--156},
 numpages = {52},
 url = {http://dx.doi.org/10.1002/stvr.v14:2},
 doi = {10.1002/stvr.v14:2},
 acmid = {1077279},
 publisher = {John Wiley and Sons Ltd.},
 address = {Chichester, UK},
 keywords = {automated software test data generation, evolutionary algorithms, evolutionary testing, metaheuristic search, search-based software engineering, simulated annealing},
} 

